Bug 1028092 - allow a node not a priori associated with particular cluster to become its member despite having its own cluster.conf when cluster names match
allow a node not a priori associated with particular cluster to become its me...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci (Show other bugs)
6.4
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Jan Pokorný
cluster-qe@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 11:15 EST by Jan Pokorný
Modified: 2016-09-12 23:23 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-12 23:23:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pokorný 2013-11-07 11:15:40 EST
real world scenario:

http://www.redhat.com/archives/linux-cluster/2013-November/msg00022.html
Comment 2 Jan Pokorný 2013-11-07 11:52:12 EST
NB: there is another discrepancy in that the node joining the cluster
    (after leaving it, i.e., after cluster services being stopped there)
    is not checked for configuration version, which may be different
    from what the cluster uses ... it will likely be synced upon config
    modification, but expected is that it should be got right immediately
    so that the complete cluster can work properly even if "stopped"
    node hadn't communicated with luci for some time (and hence has
    a stale configuration)
Comment 3 Jan Pokorný 2013-11-07 12:12:50 EST
NB2: another discrepancy seems to be that when a node is made a non-member
     while still associated (leave cluster), normally the modifications
     are propagated;  however if you delete cluster.conf manually,
     modifications are no longer propagated, which may be either
     intentional (cannot see why, though) or a bug
     (unlike on active cluster member, where cluster.conf should rather
     be present all the time [rgmanager, fenced, ...], it seems perfectly
     OK to temporarily remove cluster.conf on such inactived node)
Comment 4 Jan Pokorný 2013-11-07 12:17:28 EST
Backrefence from ML thread follow-up:
https://www.redhat.com/archives/linux-cluster/2013-November/msg00028.html
Comment 5 RHEL Product and Program Management 2013-11-10 17:44:58 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 11 Chris Feist 2016-09-12 23:23:01 EDT
Closing this bz due to the fact that there is a work around and we are in production phase 2 of RHEL 6.

Note You need to log in before you can comment on or make changes to this bug.